# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu Sanity Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from address_book_app import pages


class ContactListPage(pages.ContactListPage):

    def expand_contact(self, index):
        """Click the contact to show more information.

        :param index: The index of the contact to expand.

        """
        contact_delegate = self._get_contact_delegate(index)
        self.pointing_device.click_object(contact_delegate)
        contact_delegate.state.wait_for('expanded')

    def get_contact_mobile_phone_number(self, index):
        # XXX this needs to be implemented as a general get_data method, in
        # the address book branch with object names. --elopio - 2015-02-19
        contact_delegate = self._get_contact_delegate(index)
        return contact_delegate.select_single(
            'SubtitledWithColors').select_many('Label')[1].text
